
From: Rusty Lynch <rusty.lynch@intel.com>

At the point in traps.c where we recieve a break with a zero value, we can
not say if the break was a result of a kprobe or some other debug facility.

This simple patch changes the informational string to a more correct "break
0" value, and applies to the 2.6.12-rc2-mm2 tree with all the kprobes
patches that were just recently included for the next mm cut.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/traps.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ia64/kernel/traps.c~kprobes-ia64-kdebug-die-notification-fix arch/ia64/kernel/traps.c
--- 25/arch/ia64/kernel/traps.c~kprobes-ia64-kdebug-die-notification-fix	2005-06-18 02:49:05.000000000 -0700
+++ 25-akpm/arch/ia64/kernel/traps.c	2005-06-18 02:49:05.000000000 -0700
@@ -151,7 +151,7 @@ ia64_bad_break (unsigned long break_num,
 
 	switch (break_num) {
 	      case 0: /* unknown error (used by GCC for __builtin_abort()) */
-		if (notify_die(DIE_BREAK, "kprobe", regs, break_num, TRAP_BRKPT, SIGTRAP)
+		if (notify_die(DIE_BREAK, "break 0", regs, break_num, TRAP_BRKPT, SIGTRAP)
 			       	== NOTIFY_STOP) {
 			return;
 		}
_
